org.apache.maven.plugin

## Class AbstractMojoExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.AbstractMojoExecutionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MojoExecutionException, MojoFailureException

    public abstract class AbstractMojoExecutionException
    extends java.lang.Exception

Base exception.

Version:
  $Id: AbstractMojoExecutionException.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter
See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.String` `longMessage`
`protected java.lang.Object` `source`

### Constructor Summary

Constructors
Constructor and Description
`AbstractMojoExecutionException(java.lang.String message)`
`AbstractMojoExecutionException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

Methods
`java.lang.String` `getLongMessage()`
`java.lang.Object` `getSource()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### source

    protected java.lang.Object source

#### longMessage

    protected java.lang.String longMessage

### Constructor Detail

#### AbstractMojoExecutionException

    public AbstractMojoExecutionException(java.lang.String message)

#### AbstractMojoExecutionException

    public AbstractMojoExecutionException(java.lang.String message,
                                  java.lang.Throwable cause)

### Method Detail

#### getLongMessage

    public java.lang.String getLongMessage()

#### getSource

    public java.lang.Object getSource()